Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 126994 - media-video/any2dvd (new ebuild)
Summary: media-video/any2dvd (new ebuild)
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://sourceforge.net/projects/any2dvd/
Whiteboard:
Keywords: EBUILD
: 157908 (view as bug list)
Depends on:
Blocks:
 
Reported: 2006-03-20 11:54 UTC by jason fuchs
Modified: 2014-03-17 22:33 UTC (History)
14 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch for any2dvd (error.diff,928 bytes, patch)
2006-03-20 11:55 UTC, jason fuchs
Details | Diff
Revised ebuild to include the patch. (any2dvd-0.30.ebuild,1.41 KB, text/plain)
2006-03-20 11:56 UTC, jason fuchs
Details
Updated patch for any2dvd (any2dvd.patch,1.25 KB, patch)
2006-05-05 08:15 UTC, Joakim Crafack
Details | Diff
any2dvd-0.32.ebuild (any2dvd-0.32.ebuild,1.67 KB, text/plain)
2006-09-14 03:47 UTC, Rick Harris
Details
Updated any2dvd-0.32.ebuild (any2dvd-0.32.ebuild,2.58 KB, text/plain)
2006-09-27 00:26 UTC, Salah Coronya
Details
wav2lpcm-0.1.ebuild (wav2lpcm-0.1.ebuild,411 bytes, text/plain)
2006-10-05 19:31 UTC, Rick Harris
Details
any2dvd-0.32.ebuild (any2dvd-0.32.ebuild,3.39 KB, text/plain)
2006-10-05 19:32 UTC, Rick Harris
Details
any2dvd-0.34.ebuild (any2dvd-0.34.ebuild,4.54 KB, text/plain)
2007-03-11 06:48 UTC, Rick Harris
Details
patch to any2dvd to add the "k" to -ab (any2dvd-0.34-ffmpeg-ab-k.patch,1.69 KB, patch)
2007-04-24 22:58 UTC, Salah Coronya
Details | Diff
Fixes free disk space calculation by making df display 6 columns (any2dvd-0.34-df-6column.patch,1.74 KB, patch)
2007-04-24 23:01 UTC, Salah Coronya
Details | Diff
any2dvd-0.34-r1.ebuild (any2dvd-0.34.ebuild,4.47 KB, text/plain)
2007-04-24 23:04 UTC, Salah Coronya
Details
add -ao num -frames 0 to mplayer (any2dvd-0.34-frames0.patch,10.87 KB, patch)
2007-05-13 03:55 UTC, Salah Coronya
Details | Diff
any2dvd-0.34-r2.ebuild (any2dvd-0.34.ebuild,4.51 KB, text/plain)
2007-05-13 03:56 UTC, Salah Coronya
Details
removes --progress_meter 0 for transcode > 1.0.2 (progress_off_patch_any2dvd-0.34-r2,645 bytes, text/plain)
2007-05-26 12:58 UTC, Bjoern Olausson
Details
Proper any2dvd-progress_meter.patch for any2dvd-0.34 (any2dvd-0.34-progress_meter.patch,645 bytes, patch)
2007-05-26 13:17 UTC, Bjoern Olausson
Details | Diff
any2dvd-0.34-r3.ebuild (any2dvd-0.34-r3.ebuild,4.56 KB, text/plain)
2007-05-26 13:20 UTC, Bjoern Olausson
Details
any2dvd-0.36_beta.ebuild (any2dvd-0.36_beta.ebuild,5.28 KB, text/plain)
2007-09-15 14:18 UTC, Bjoern Olausson
Details
any2dvd-0.36_beta-r1.ebuild (any2dvd-0.36_beta-r1.ebuild,5.28 KB, text/plain)
2007-09-30 21:11 UTC, Bjoern Olausson
Details
any2dvd-0.36_beta-r1.ebuild (any2dvd-0.36_beta-r1.ebuild,5.41 KB, text/plain)
2007-09-30 23:14 UTC, Bjoern Olausson
Details
any2dvd-0.36_beta-imagemagic-6.3.5.10.patch (any2dvd-0.36_beta-imagemagic-6.3.5.10.patch,1.26 KB, patch)
2007-09-30 23:15 UTC, Bjoern Olausson
Details | Diff
any2dvd-0.36_beta-r1.ebuild (any2dvd-0.36_beta-r1.ebuild,5.44 KB, text/plain)
2007-10-17 21:45 UTC, Bjoern Olausson
Details
any2dvd-0.36_beta-r2.ebuild (any2dvd-0.36_beta-r2.ebuild,5.61 KB, text/plain)
2007-10-18 16:13 UTC, Bjoern Olausson
Details
any2dvd-0.36_beta-r2_bitrate-workdir-feature.patch (any2dvd-0.36_beta-r2_bitrate-workdir-feature.patch,3.84 KB, patch)
2007-10-18 16:15 UTC, Bjoern Olausson
Details | Diff
any2dvd-0.36_beta-r2_imagemagic-6.3.5.10.patch (any2dvd-0.36_beta-r2_imagemagic-6.3.5.10.patch,1.26 KB, patch)
2007-10-18 16:16 UTC, Bjoern Olausson
Details | Diff
any2dvd-0.36_beta-r2_parameter-passing.patch (any2dvd-0.36_beta-r2_parameter-passing.patch,1.25 KB, patch)
2007-10-18 16:17 UTC, Bjoern Olausson
Details | Diff
any2vob-0.36_beta-r2_bitrate-workdir-feature.patch (any2vob-0.36_beta-r2_bitrate-workdir-feature.patch,1.93 KB, patch)
2007-10-18 16:18 UTC, Bjoern Olausson
Details | Diff
any2vob-0.36_beta-r2_ps-grep.patch (any2vob-0.36_beta-r2_ps-grep.patch,3.00 KB, patch)
2007-10-18 16:19 UTC, Bjoern Olausson
Details | Diff
any2dvd-0.36_beta-r2.ebuild proper (any2dvd-0.36_beta-r2.ebuild,5.61 KB, text/plain)
2007-10-29 10:32 UTC, Bjoern Olausson
Details
any2dvd-0.36_beta-r2.ebuild (urls and typos fixed) (any2dvd-0.36_beta-r2.ebuild,5.67 KB, text/plain)
2007-11-13 14:56 UTC, Bjoern Olausson
Details
Removed check for the non existent dts useflag for ffmpeg (any2dvd-0.36_beta-r3.ebuild,5.67 KB, text/plain)
2008-01-27 21:23 UTC, Edwin
Details
any2dvd-0.36_beta-r2.ebuild (Removed check for the non existent dts useflag for ffmpeg) (any2dvd-0.36_beta-r2.ebuild,5.67 KB, text/plain)
2008-03-01 15:34 UTC, Bjoern Olausson
Details
any2dvd-0.36_beta-r2 with gs patch and new URL (any2dvd-0.36_beta-r2.ebuild,5.66 KB, text/plain)
2008-07-07 20:14 UTC, Bjoern Olausson
Details
any2vob-0.36_beta-r2_gs-fix.patch (any2vob-0.36_beta-r2_gs-fix.patch,754 bytes, patch)
2008-07-07 20:16 UTC, Bjoern Olausson
Details | Diff
any2dvd-0.36_beta-r2.ebuild with gs patch and new URL - PROPER (any2dvd-0.36_beta-r2.ebuild,5.71 KB, text/plain)
2008-07-07 20:23 UTC, Bjoern Olausson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jason fuchs 2006-03-20 11:54:47 UTC
Found an ebuild for this at:
http://www.ebuildexchange.org/eshow.php?id=10134

Didn't work for me, I found a fix on their bugzilla at:
http://sourceforge.net/tracker/index.php?func=detail&aid=1439322&group_id=143060&atid=754969

Which also didn't quite work out, I had to reverse the patch, and the program now works(For me!) I'm using zsh on ~amd64.  (The program is just a script.) Please test on other shells/archs.

Will attach revised ebuild and patch file.
Comment 1 jason fuchs 2006-03-20 11:55:40 UTC
Created attachment 82700 [details, diff]
Patch for any2dvd
Comment 2 jason fuchs 2006-03-20 11:56:21 UTC
Created attachment 82701 [details]
Revised ebuild to include the patch.
Comment 3 Joakim Crafack 2006-05-05 08:15:37 UTC
Created attachment 86200 [details, diff]
Updated patch for any2dvd

Found this bug and ebiuld by coincidence. The patch didn't quite work, the attatched does (for me), as I no longer get an error from any2vob.
Comment 4 Joakim Crafack 2006-05-05 15:22:53 UTC
It seems that the bugs are caused by Bash updates (??!).

See this post on the app's homepage:

http://sourceforge.net/tracker/index.php?func=detail&aid=1477100&group_id=143060&atid=754971
Comment 5 Rick Harris 2006-09-14 03:47:07 UTC
Created attachment 96952 [details]
any2dvd-0.32.ebuild
Comment 6 Salah Coronya 2006-09-27 00:26:11 UTC
Created attachment 98194 [details]
Updated any2dvd-0.32.ebuild

I've created an updated version of the ebuild, as the old needed some work

Mplayer needs the "encode" flag, "ImageMagick" needs the "png", "jpeg", and "gs" flags to get this script to work at all. Unforunetly, the any2dvd doesn't handle non-existing codecs very well - it'll fail but give you no clue why - only by setting the "-xv" bash flags in the ebuild was I able to determine it. 

I've also fixed up the spacing in the file and a few other things to make repoman puke a bit less. I added some error check since "built_with_use" doesn't make any sense if the package isn't installed (unless it is considered a "vacuous truth" - see http://en.wikipedia.org/wiki/Vacuous_truth )

The "ogm", "pcm", "mythtv" and "mpegts" flag do not exist in /use/portage/use.desc. "ogm" may better off as "ogg", not sure about the other 3. 

This ebuild references media-sound/wav2lpcm (if the "pcm" USE flag is set) - but this ebuild does not exist in Portage, nor is there an open bug request for it (yet)
Comment 7 Rick Harris 2006-10-05 19:31:03 UTC
Created attachment 98898 [details]
wav2lpcm-0.1.ebuild

Have attached an ebuild for wav2lpcm.

'has_pkg' is not necessary and is no longer used in portage. Just use 'built_with_use' by itself, the rest is handled by way of DEPEND.

'ogm' USE flag should be changed to 'ogg' for consistency, but can't think of an equivalent alternative for 'pcm', 'mpegts' or 'mythtv'.

The any2dvd script does have comprehensive toolchain error checking, and should not fail mysteriously, but let the user know exactly what the problem is and how they need to fix it.

Imagemagick does not require 'gs', but media-fonts/gnu-gs-fonts must be installed.

'png' and 'jpeg' are assumed and so are not checked for, something that I hope will be in the next version of any2dvd.

Another optional dependency is that of mjpegtools being compiled with the 'dv' USE flag to enable libdv (camcorder) support.

Added missing dependencies:
app-cdr/dvd+rw-tools
media-fonts/gnu-gs-fonts-std
media-fonts/gnu-gs-fonts-other

Added missing USE flag checking for FFmpeg:
a52,aac,dts,encode

Added missing USE flag cehcking for Transcode:
a52,mjpeg,mp3,mpeg,xvid

Added missing USE flag checking for Mplayer:
aac,dts,dv,encode,jpeg,mad,png,real,vorbis,win32codecs,x264
Comment 8 Rick Harris 2006-10-05 19:32:21 UTC
Created attachment 98899 [details]
any2dvd-0.32.ebuild
Comment 9 Salah Coronya 2006-10-11 19:15:20 UTC
Would it be possible to make "win32codecs" and "real" optional via USE flags instead of required? 
1) Both packages are 32-bit x86 only; and therefore can only be in that environment (for amd64, using multilib) - therefore this package can never get keworded on anything other than x86 and (maybe) amd64. 
2) Both pull in possibly unwanted binary compatibity cruft
3) USE="real" on mplayer pulls in realplayer and all of its zillions of dependices, including X. (It IS possible not to do so; see http://forums.gentoo.org/viewtopic-t-406800.html ; but it requires modifying/overlaying the mplayer ebuild; additonally, the RealPlayer codecs in win32codecs have (or had?) security issues) 
4) ffmpeg/mplayer has WMV3 (VC-1) support in SVN; obviating one ofthe main needs for win32codecs (Hopefylly, one day we'll have "all-native" codecs and  win32codecs can be punted)
5) Requiring binary-only, propietary packages is just evil :)
Comment 10 Jakub Moc (RETIRED) gentoo-dev 2006-12-12 04:31:04 UTC
*** Bug 157908 has been marked as a duplicate of this bug. ***
Comment 11 Daniel Herzog 2007-02-02 22:05:00 UTC
> "Would it be possible to make "win32codecs" and "real" optional via USE flags
instead of required?"

It would work, and I guess is should be ligetimate as long as there is a note in postinst or sth similar
Comment 12 Daniel Herzog 2007-02-02 22:13:38 UTC
Additionally, according to the comments at the very beginning of the any2vob source libdts, wget and soundtouch should be made optional via USE flags i think
Comment 13 Daniel Herzog 2007-03-08 23:58:17 UTC
Version 0.34 has been released.
Comment 14 Rick Harris 2007-03-11 06:48:47 UTC
Created attachment 112896 [details]
any2dvd-0.34.ebuild
Comment 15 Stefan Behte (RETIRED) gentoo-dev Security 2007-04-18 22:15:46 UTC
There is a bug in the ebuild. I installed and got this:

 Error: Program 'mpgtx' is missing, please install it first ->  http://mpgtx.sourceforge.net/



mpgtx-1.3.1 is in portage so that dependency should be added in DEPEND:
>=media-video/mpgtx-1.3.1

then I got:

 Error: Program 'ecasound' is missing, please install it first ->  http://eca.cx/

it's also in portage, so I added this in DEPEND:
>=media-sound/ecasound-2.4.3

I emerged both and now I get:

 Error: Program 'soundstretch' is missing, please install it first ->  http://sky.prohosting.com/oparviai/soundtouch/

:(

Comment 16 Mark Purtill 2007-04-20 04:34:22 UTC
media-video/ffmpeg-0.4.9_p20070330 breaks any2dvd-0.34; the -ab flag value changed from being kbit/s to bit/s between 0.4.9_p20070129 and 0.4.9_p20070330, so in two places -ab 224 has to be changed to -ab 224k.

---

Craig (comment #15), I think you're using the wrong ebuild.  The any2dvd-0.34.ebuild in comment #14 has the dependencies you mention.
Comment 17 Salah Coronya 2007-04-24 22:58:23 UTC
Created attachment 117195 [details, diff]
patch to any2dvd to add the "k" to -ab

This allows any2dvd to work again, now that ffmpeg change the default unit for -ab from kilobytes to bytes.
Comment 18 Salah Coronya 2007-04-24 23:01:50 UTC
Created attachment 117196 [details, diff]
Fixes free disk space calculation by making df display 6 columns

any2dvd assumes df has 6 columns but Gentoo's only 5 by default; this doesn't prevent the script from running but displays error and makes the programs unable to caluclate free disk space. This patch adds the -P option to df to make it 6 columns and it make the script work again.
Comment 19 Salah Coronya 2007-04-24 23:04:03 UTC
Created attachment 117197 [details]
any2dvd-0.34-r1.ebuild

This fixes the following:
Adds the previous 2 patches for any2dvd
Adds "real" and "win32codecs" USE flags
Makes "real" and "win32codecs" support optional via those use flags.
Comment 20 Mark Purtill 2007-05-12 19:09:48 UTC
I needed to apply a patch from the any2dvd bug tracker to get the any2dvd-0.34-r1 build to work.  The patch is here:

<http://sourceforge.net/tracker/index.php?func=detail&aid=1682989&group_id=143060&atid=754969>

The problem is ``"mplayer -vo dummy -identify" makes mplayer to actually play the audio stream instead of exiting after printing some info. Since the above command line is used extensively in any2dvd this blows up the execution time of any2dvd out of proportion.''
Comment 21 Salah Coronya 2007-05-13 03:55:34 UTC
Created attachment 119059 [details, diff]
add -ao num -frames 0 to mplayer

This patch 1 better. Not only does it add "-ao dummy", it also adds "-frames 0". According to the mplayer mailing list, this is a portable construct for telling mplayer to print out all the info, but don't actually play the file

It also changes "dummy" to "null", as it is called "null" everywhere else in the mplayer documentation (including -ao help / -vo help)
Comment 22 Salah Coronya 2007-05-13 03:56:36 UTC
Created attachment 119061 [details]
any2dvd-0.34-r2.ebuild

Updated ebuild
Comment 23 Mark Purtill 2007-05-15 05:15:50 UTC
There are many uses of ffmpeg in any2vob that also need fixed.  I ran into this while using the options "--surround=no --keep_dts=no", hoping they would fix some problems with the audio getting out of sync (they didn't).
Comment 24 Bjoern Olausson 2007-05-26 12:53:51 UTC
Hi all,

I got a irritating "bug" in that fine script. I actually dont't know if it is related to the Gentoo build or a upstream bug, so I'll try my luck here.

(Latin-Standard_Professional_Championship_2007.avi: RIFF (little-endian) data, AVI, 512 x 384, 25.00 fps, video: DivX 5, audio: MPEG-1 Layer 3 (stereo, 44100 Hz))


When I start encoding certain files, any2dvd will bail out while transcoding the file. But when I run the transcode command shown by any2dvd manual, transcode works fine.... So why is the script terminating itselfs?

In the tmp_any2dvd/tmp.log you can read the following:
transcode: unrecognized option `--progress_meter'

But this parameter is not echoed from any2vob on the crash as you can see below.

I found the following in the script:

        if [ "$TRANSCODE_VERSION" \> "1.0.2" ]; then
                PROGRESS_ARGS="--progress_meter 0"
        else
                PROGRESS_ARGS="--progress_off"
        fi
and in transcode 1.0.3 there is no such parameter --progress_meter 0 so it should be changed to if [ "$TRANSCODE_VERSION" /= "1.0.2" ]; then

I cahnged all two occurence to = and than it worked.

here's the patch:
diff -Naur any2vob any2vob_patched
--- any2vob     2007-05-26 14:48:26.000000000 +0200
+++ any2vob_patched     2007-05-26 14:48:17.000000000 +0200
@@ -1014,7 +1014,7 @@
        fi
        [ "$SKIP_VOB" = "yes" ] && return
        surround_check
-       if [ "$TRANSCODE_VERSION" \> "1.0.2" ]; then
+       if [ "$TRANSCODE_VERSION" \= "1.0.2" ]; then
                PROGRESS_ARGS="--progress_meter 0"
        else
                PROGRESS_ARGS="--progress_off"
@@ -1921,7 +1921,7 @@
        [ "$TOTAL" -lt 1 ] && TOTAL=1
        PROCESS_FILE="$WORKDIR"/"$name".m2v
        preview
-       if [ "$TRANSCODE_VERSION" \> "1.0.2" ]; then
+       if [ "$TRANSCODE_VERSION" \= "1.0.2" ]; then
                outfile="$name".m2v
                tmp_outfile="$name"_tmp.m2v
                PROGRESS_ARGS="--progress_meter 0"



Below is an example what happened


$ any2dvd -i Latin-Standard_Professional_Championship_2007.avi

Any2Dvd-0.34

Running: any2vob --workdir="tmp_any2dvd" --format=pal --audio_format=ac3    --surround=preserve --compress=no --aspect=4:3 --pulldown=no --keep_dts=yes --preview=no --skip_comm=no --mpegts_allpids=no    -i  "Latin-Standard_Professional_Championship_2007.avi"

Any2Vob-0.34

Use Ctrl+C to abort

File(s) to process:  "Latin-Standard_Professional_Championship_2007.avi"

 Calculating total estimated DVD Disc usage, please wait ...

 Total estimated DVD Disc usage:  2.60 GB


<<<< NEW ENCODING of Latin-Standard_Professional_Championship_2007.avi started at Sa 26. Mai 14:31:20 CEST 2007 >>>>


 ** Input file info **
 File type:     AVI
 Codec:         DX50
 Format:        PAL
 Frames/sec:    25.000
 Resolution:    512x384
 Aspect:        1.29:1

 ** Output file info **
 File type:     DVD Vob
 TV Format:     PAL
 Frames/sec:    25.000
 Resolution:    720x576
 Aspect:        4:3


 Final estimated filesize:      2.60 GB

 Number of VIDEO tracks detected: 1
 Number of AUDIO tracks detected: 1


 Running: transcode  -i "Latin-Standard_Professional_Championship_2007.avi"  -y ffmpeg -F mpeg2 -Z 720x576 --export_asr 2  -J resample, -D0 -N 0x2000 -E 48000,16,2 -b 384 -m "tmp_any2dvd/Latin-Standard_Professional_Championship_2007.ac3" -o "tmp_any2dvd/Latin-Standard_Professional_Championship_2007.m2v" -w 5000  ...
 Error: Video encoding failed for "tmp_any2dvd/Latin-Standard_Professional_Championship_2007.m2v", file not successfully encoded!

Comment 25 Bjoern Olausson 2007-05-26 12:58:14 UTC
Created attachment 120356 [details]
removes --progress_meter 0 for transcode > 1.0.2
Comment 26 Bjoern Olausson 2007-05-26 13:17:16 UTC
Created attachment 120362 [details, diff]
Proper any2dvd-progress_meter.patch for any2dvd-0.34

Sry for double submitt, but I renamed it and made it a patch.

Updated ebuild will follow.

regars
Bjoern
Comment 27 Bjoern Olausson 2007-05-26 13:20:00 UTC
Created attachment 120364 [details]
any2dvd-0.34-r3.ebuild

Updated ebuild to -r3 which just includes my any2dvd-progress_meter.patch

regards
Bjoern
Comment 28 Bjoern Olausson 2007-06-06 01:37:36 UTC
Quoted from
https://sourceforge.net/tracker/index.php?func=detail&aid=1726080&group_id=143060&atid=754969

"A fairly mature beta of 0.36 that addresses this issue can be found here:
http://mightylegends.org/downloads/any2vob-0.36_beta.sh
http://mightylegends.org/downloads/any2dvd-0.36_beta.sh "
(by rickharris)

regards
Bjoern
Comment 29 Bjoern Olausson 2007-09-15 14:18:11 UTC
Created attachment 130998 [details]
any2dvd-0.36_beta.ebuild

This is the ebuild for the latest any2dvd 0.36_beta

The author of this tool is not using version numbers on his beta
So you just have to rebuild the digest of this ebuild if the files
on the server changed.

Check the following URLs for changes/updates:
http://mightylegends.org/downloads/any2dvd-0.36_beta.sh
http://mightylegends.org/downloads/any2vob-0.36_beta.sh
http://sourceforge.net/mailarchive/forum.php?forum_name=any2dvd-users

This beta is so far released without any2windows_video if you need it,
extract it from the stable package and put it in /usr/bin/
Comment 30 Bjoern Olausson 2007-09-30 21:11:18 UTC
Created attachment 132266 [details]
any2dvd-0.36_beta-r1.ebuild

imagemagick needs ghostscript support. Added it to the dependencies.

	## Imagemagick dependencies ##
	if ! built_with_use media-gfx/imagemagick {jpeg,png,gs}; then
		eerror "Imagemagick is missing 'jpeg, png, gs' support. Please add"
		eerror "'jpeg, png, gs' to your USE flags, and re-emerge media-gfx/imagemagick"
		die "Imagemagick needs 'jpeg and png' support"
	fi

regards
Bjoern
Comment 31 Bjoern Olausson 2007-09-30 23:14:37 UTC
Created attachment 132273 [details]
any2dvd-0.36_beta-r1.ebuild

Corrected a imagemagic-6.3.5.10 parameter problem and cleand the ebuild.

(patch was submitted upstream... so maybe after a few days the patch may fail)
Comment 32 Bjoern Olausson 2007-09-30 23:15:21 UTC
Created attachment 132275 [details, diff]
any2dvd-0.36_beta-imagemagic-6.3.5.10.patch
Comment 33 Bert Santema 2007-10-16 08:54:01 UTC
In relation to bug 193285, I would suggest to replace the libdts dependency with 

dts? ( || ( media-libs/libdca media-libs/libdts ) )

Leaving it as it is can lead to blocking situations with libdca.
Comment 34 Bjoern Olausson 2007-10-17 21:45:58 UTC
Created attachment 133720 [details]
any2dvd-0.36_beta-r1.ebuild

(In reply to comment #33)
> In relation to bug 193285, I would suggest to replace the libdts dependency
> with 
> 
> dts? ( || ( media-libs/libdca media-libs/libdts ) )
> 
> Leaving it as it is can lead to blocking situations with libdca.
> 

Good idea!

fixed the ebuild

--- any2dvd-0.36_beta-r1.ebuild~        2007-10-17 23:37:11.000000000 +0200
+++ any2dvd-0.36_beta-r1.ebuild 2007-10-17 23:39:57.000000000 +0200
@@ -28,11 +28,11 @@
        >=media-video/mpgtx-1.3.1
        >=media-video/mjpegtools-1.6.2
        >=media-libs/a52dec-0.7.4
-       >=media-libs/libdts-0.0.2
        >=media-libs/libsndfile-1.0.11
        >=media-sound/ecasound-2.4.1
        >=media-sound/multimux-0.2.3
        >=media-libs/libsoundtouch-1.3.0
+       dts? ( || ( media-libs/libdca >=media-libs/libdts-0.0.2 ) )
        dv? ( >=media-libs/libdv-1.0.0 )
        matroska? ( >=media-video/mkvtoolnix-1.4.2 )
        mpegts? ( >=media-video/replex-0.1.4 )
Comment 35 Bjoern Olausson 2007-10-18 16:13:54 UTC
Created attachment 133778 [details]
any2dvd-0.36_beta-r2.ebuild

Okay, some more patches included from Tom Schenk ( http://sourceforge.net/mailarchive/message.php?msg_name=1192668110.12976.22.camel%40tschenk20.home.techdog.org )

I moved the beta files to my own server. Cause the author of the any2dvd script makes changes to the files without revision number changes... and this may break patches/digest/ebuild for the release ebuild and makes things more complicated.

Have fun

regards
Bjoern
Comment 36 Bjoern Olausson 2007-10-18 16:15:21 UTC
Created attachment 133779 [details, diff]
any2dvd-0.36_beta-r2_bitrate-workdir-feature.patch

Allow passing of VID_BITRATE (as defined in .any2dvdrc) [by Tom Schenk]
Comment 37 Bjoern Olausson 2007-10-18 16:16:51 UTC
Created attachment 133780 [details, diff]
any2dvd-0.36_beta-r2_imagemagic-6.3.5.10.patch

just a version bump of the former patch
Comment 38 Bjoern Olausson 2007-10-18 16:17:48 UTC
Created attachment 133783 [details, diff]
any2dvd-0.36_beta-r2_parameter-passing.patch

correct a bug in parameter passing from any2dvd to any2vob [Tom Schenk]
Comment 39 Bjoern Olausson 2007-10-18 16:18:35 UTC
Created attachment 133784 [details, diff]
any2vob-0.36_beta-r2_bitrate-workdir-feature.patch

a. Allow passing of VID_BITRATE (as defined in .any2dvdrc)
b. Create working directory if it doesn't exist (asks you first)
[Tom Schenk]
Comment 40 Bjoern Olausson 2007-10-18 16:19:20 UTC
Created attachment 133785 [details, diff]
any2vob-0.36_beta-r2_ps-grep.patch

correct several bugs in any2vob related to the use of ps aux | grep
$PID [Tom Schenk]
Comment 41 Bjoern Olausson 2007-10-18 16:25:18 UTC
By the way, ou can find all file here:

http://olausson.de/dev/

regards
Bjoern
Comment 42 Bjoern Olausson 2007-10-18 16:25:40 UTC
By the way, you can find all file here:

http://olausson.de/dev/

regards
Bjoern
Comment 43 Bjoern Olausson 2007-10-29 10:32:03 UTC
Created attachment 134614 [details]
any2dvd-0.36_beta-r2.ebuild proper

corrected a typo:

from

src_install() {
	newbin ${P}.sh any2dvd
	newbin ${P/dvd/vob}.sh any2vob
}

to

src_install() {
	newbin ${PF}.sh any2dvd
	newbin ${PF/dvd/vob}.sh any2vob
}
Comment 44 Bjoern Olausson 2007-11-13 14:56:51 UTC
Created attachment 135893 [details]
any2dvd-0.36_beta-r2.ebuild (urls and typos fixed)

Just fixed the download URL and some typos ;-)
Comment 45 Markus Rathgeb 2007-12-11 23:17:52 UTC
I hope it is okay that I added the ebuilds to my svn overlay.
Comment 46 Bjoern Olausson 2007-12-11 23:52:35 UTC
(In reply to comment #45)
> I hope it is okay that I added the ebuilds to my svn overlay.
>

You'r welcome.

Which overlay are you talking about, by the way ;-)

regards
Bjoern
Comment 47 Markus Rathgeb 2007-12-12 08:36:14 UTC
You only have to edit the file /etc/layman/layman.cfg and to add the second line to the 'overlays'
---
overlays  : http://www.gentoo.org/proj/en/overlays/layman-global.txt
            http://opensvn.csie.org/maggu2810_overlay/profiles/layman.xml
---
Then you will find a 'maggu2810_overlay'.
Comment 48 Edwin 2008-01-26 22:15:58 UTC
(In reply to comment #8)
> Created an attachment (id=98899) [edit]
> any2dvd-0.32.ebuild
> 
ffmpeg doesn't seem to have a dts use flag, which makes the ebuild fail with:
FFmpeg is missing 'a52,aac,dts and encode' support. Please add 'a52,aac,dts and encode' to your USE flags, and re-emerge media-video/ffmpeg
FFmpeg needs 'a52,aac,dts and encode' support

I removed the check for it from the ebuild and all seems to be working fine.

By the way does any2dvd really need ffmpeg _and_ mencoder (mplayer encoder) _and_ transcode installed, or does it just need one of those three? As far as my limited understanding goes those three are kinda redundant.
Comment 49 Bjoern Olausson 2008-01-27 15:48:14 UTC
(In reply to comment #48)
> By the way does any2dvd really need ffmpeg _and_ mencoder (mplayer encoder)
> _and_ transcode installed, or does it just need one of those three? As far as
> my limited understanding goes those three are kinda redundant.
> 

Good question, I didn't really go thrugh the script, but one could grep it for a specific bin of the three mentioned tools.

Hey, why not post your modified ebuild here :-)
Just seems as if the dts useflag has vanished.

regards
Bjoern
Comment 50 Bjoern Olausson 2008-01-27 18:12:28 UTC
I just came accross this problem here:

mencoder: error while loading shared libraries: libdts.so.0: cannot open shared object file: No such file or directory

So i guess the libdts.so was pulled in with ffmpeg and the dts useflag.
now there is a media-libs/libdts ebuild... lets see if mencoder works again...

I'll report.
Comment 51 Bjoern Olausson 2008-01-27 18:15:52 UTC
Calculating dependencies... done!
[ebuild  N    ] media-libs/libdts-0.0.2-r5  USE="oss -debug" 0 kB
[blocks B     ] media-libs/libdts (is blocking media-libs/libdca-0.0.5)


mmmh, recompiling mplayer to see if it can cope with the libs provided by libdca... anyone has an idea?
Comment 52 Bjoern Olausson 2008-01-27 18:18:32 UTC
recompiling mplayer helped.
Comment 53 Edwin 2008-01-27 21:18:42 UTC
(In reply to comment #49)
> (In reply to comment #48)
> > By the way does any2dvd really need ffmpeg _and_ mencoder (mplayer encoder)
> > _and_ transcode installed, or does it just need one of those three? As far as
> > my limited understanding goes those three are kinda redundant.
> > 
> 
> Good question, I didn't really go thrugh the script, but one could grep it for
> a specific bin of the three mentioned tools.

Apparently it uses ffmpeg for video encoding and transcode for the audio. It also mentions that it checks if it needs mencoder for the video, so there are some video streams for which it uses ffmpeg and others for which it uses mencoder (in combination with ffmpeg).

> 
> Hey, why not post your modified ebuild here :-)
Done :)

> Just seems as if the dts useflag has vanished.
> 
> regards
> Bjoern
> 

Comment 54 Edwin 2008-01-27 21:23:28 UTC
Created attachment 141926 [details]
Removed check for the non existent dts useflag for ffmpeg

62c62
<       if ! built_with_use media-video/ffmpeg {a52,aac,dts,encode}; then
---
>       if ! built_with_use media-video/ffmpeg {a52,aac,encode}; then
Comment 55 Markus Rathgeb 2008-02-14 17:53:43 UTC
Where should be the file 'any2vob-0.36_beta-r3.sh'?
Comment 56 Markus Rathgeb 2008-02-14 17:55:16 UTC
If you remove the check for the dts USE flag of ffmpeg, you should also change the eerror message.
Comment 57 Bjoern Olausson 2008-02-15 07:08:28 UTC
(In reply to comment #55)
> Where should be the file 'any2vob-0.36_beta-r3.sh'?
> 

What do you mean?
Comment 58 Markus Rathgeb 2008-02-15 09:35:20 UTC
An
ebuild any2dvd-0.36_beta-r3.ebuild digest
do not find the -r3 stuff.
Comment 59 chris 2008-02-26 21:20:28 UTC
(In reply to comment #58)
> An
> ebuild any2dvd-0.36_beta-r3.ebuild digest
> do not find the -r3 stuff.
> 

I get
>>> Downloading 'http://dev.olausson.de/any2dvd/orig/any2vob-0.36_beta-r3.sh'
--2008-02-26 16:18:12--  http://dev.olausson.de/any2dvd/orig/any2vob-0.36_beta-r3.sh
Resolving dev.olausson.de... 85.214.64.12
Connecting to dev.olausson.de|85.214.64.12|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
2008-02-26 16:18:13 ERROR 404: Not Found.

!!! Couldn't download 'any2vob-0.36_beta-r3.sh'. Aborting.
!!! File any2vob-0.36_beta-r3.sh doesn't exist, can't update Manifest


can't find it.. any idea where to d/l the file?
Comment 60 Bjoern Olausson 2008-02-27 03:43:13 UTC
sry for the in convenience, I am relocating my server right now... so actually I hope that everything is back online in the next two days.

You can download the files here, while my server is down:
http://olausson.name/temp/any2dvd-0.36_beta-r2.sh
http://olausson.name/temp/any2vob-0.36_beta-r2.sh

regards
Bjoern
Comment 61 Bjoern Olausson 2008-03-01 15:34:47 UTC
Created attachment 145014 [details]
any2dvd-0.36_beta-r2.ebuild (Removed check for the non existent dts useflag for ffmpeg)

(In reply to comment #54)
> Created an attachment (id=141926) [edit]
> Removed check for the non existent dts useflag for ffmpeg
> 
> 62c62
> <       if ! built_with_use media-video/ffmpeg {a52,aac,dts,encode}; then
> ---
> >       if ! built_with_use media-video/ffmpeg {a52,aac,encode}; then
> 

You named the ebuild wrong. Thought there where no changes in the program itsef, I would recomment not to change to -r3 an stick with -r2.

I used the -r2 to indicate som minnor changes on the any2dvd tool, cause the orig. dev did not user versionnumbers on his beta.

I'll attach your ebuild again as -r2 thiss wil ommit the trouble with the
!!! Couldn't download 'any2vob-0.36_beta-r3.sh'. Aborting.
!!! File any2vob-0.36_beta-r3.sh doesn't exist, can't update Manifest

thanks and regards
Bjoern
Comment 62 Bjoern Olausson 2008-07-07 20:14:13 UTC
Created attachment 159819 [details]
any2dvd-0.36_beta-r2 with gs patch and new URL

http://forums.gentoo.org/viewtopic-p-5124214.html#5124214

anthonyw wrote:
-----------------------------------------------------------------
Here's the modified IF statement Code:
   if [ ! -f "$GS_XML" ] || [ ! -f "`cat $GS_XML | grep glyphs | tail -n1 | sed -n 's/^.*glyphs="\([0-9a-zA-Z./]*\)".*$/\1/p'`" ]; then
-----------------------------------------------------------------

- I added a patch and updated the ebuild 
- Fixed the new URL to my server.  

http://dev.olausson.de/index.php?dir=any2dvd%2F 

Thanks and kind regards 
Bjoern
Comment 63 Bjoern Olausson 2008-07-07 20:16:08 UTC
Created attachment 159820 [details, diff]
any2vob-0.36_beta-r2_gs-fix.patch

Fixes:

Error: GNU-Ghostscript fonts were not found 

Please install GNU-Ghostscript fonts package found here ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/fonts/ 
Then re-install Imagemagick with Ghostscript support

Kind regards
blubbi
Comment 64 Bjoern Olausson 2008-07-07 20:23:45 UTC
Created attachment 159822 [details]
any2dvd-0.36_beta-r2.ebuild with gs patch and new URL - PROPER

Arrrg, sry, messed up, here's the right one
Comment 65 pip 2008-10-07 00:57:37 UTC
(In reply to comment #63)
> Created an attachment (id=159820) [edit]
> any2vob-0.36_beta-r2_gs-fix.patch
> 
> Fixes:
> 
> Error: GNU-Ghostscript fonts were not found 
> 
> Please install GNU-Ghostscript fonts package found here
> ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/fonts/ 
> Then re-install Imagemagick with Ghostscript support
> 
> Kind regards
> blubbi
> 

the link doesn't work...
Comment 66 Bjoern Olausson 2008-10-07 10:11:40 UTC
(In reply to comment #65)
> (In reply to comment #63)
> > Created an attachment (id=159820) [edit]
> > any2vob-0.36_beta-r2_gs-fix.patch
> > 
> > Fixes:
> > 
> > Error: GNU-Ghostscript fonts were not found 
> > 
> > Please install GNU-Ghostscript fonts package found here
> > ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/fonts/ 
> > Then re-install Imagemagick with Ghostscript support
> > 
> > Kind regards
> > blubbi
> > 
> 
> the link doesn't work...
> 

I guess the best is to patch the URL away... since on gentoo you wuld install Imagemagick with Ghostscript via portage.

Expect a patch this week :-) Kinda very busy righn now writing my "Diplomarbeit"

Kind regards
Bjoern
Comment 67 Steve Dibb (RETIRED) gentoo-dev 2014-02-21 06:15:08 UTC
Last upstream release was in 2007, and this bug is old as well.  Is there still any interest in this package?
Comment 68 Steve Dibb (RETIRED) gentoo-dev 2014-03-17 22:33:24 UTC
(In reply to Steve Dibb from comment #67)
> Last upstream release was in 2007, and this bug is old as well.  Is there
> still any interest in this package?

Closing this one out, feel free to re-open if there's a good reason to. :)